For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Metrics
    • GETList Metrics
    • POSTCreate Metrics
    • PUTUpdate Metrics
    • POSTBatch Create
  • Metric Collections
    • GETList Metric Collections
    • POSTAdd Collection
    • PUTUpdate Collection
  • Datasets
    • GETList Datasets
    • GETPull Dataset
    • POSTPush Dataset
    • DELDelete Dataset
  • Evaluation
    • POSTRun LLM Evals
    • POSTSimulate Conversation
    • POSTEvaluate Span
    • POSTEvaluate Trace
    • POSTEvaluate Thread
    • GETRetrieve Test Run
    • GETList Test Runs
  • Tracing
    • GETList Traces
    • POSTTrace Ingestion
    • GETRetrieve Trace
    • GETList Spans
    • GETRetrieve Span
  • Threads
    • GETList Threads
    • GETRetrieve Thread
  • Prompt
    • GETList Prompts
    • POSTPush Prompts
    • GETPull Prompts By Label
    • GETPull Prompts By Version
    • GETPull Prompts By Commit
    • GETList Versions
    • POSTCreate Version
    • GETList Commits
    • GETList Branches
    • POSTCreate Branch
    • PUTUpdate Branch
    • DELDelete Branch
  • Metric Data
    • GETList Metrics Data
  • Annotations
    • GETList Annotations
    • POSTCreate Annotation
    • GETGet Annotation
    • PUTUpdate Annotation
  • Annotation Queues
    • GETList Annotation Queues
    • POSTCreate Annotation Queue
    • GETGet Annotation Queue
    • DELDelete Annotation Queue
    • GETList Queue Items
    • POSTAnnotate Queue Item
  • Projects
    • GETList Projects
    • POSTCreate Project
    • PUTUpdate Project
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Tracing

List Traces

GET
https://api.confident-ai.com/v1/traces
GET
/v1/traces
$curl https://api.confident-ai.com/v1/traces \
> -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200Retrieved
1{
2 "success": true,
3 "data": {
4 "traces": [
5 {
6 "uuid": "TRACE-UUID",
7 "startTime": "2025-01-15T10:30:00Z",
8 "endTime": "2025-01-15T10:30:05Z",
9 "name": "Trace Name",
10 "environment": "production",
11 "tags": [
12 "General QA"
13 ],
14 "threadId": "THREAD-ID",
15 "userId": "USER-ID",
16 "projectId": "PROJECT-ID"
17 }
18 ],
19 "totalTraces": 1
20 },
21 "deprecated": false
22}
Retrieves a list of traces from your Confident AI project.
Was this page helpful?
Previous

Trace Ingestion

Next
Built with

Headers

CONFIDENT_API_KEYstringRequired
The API key of your Confident AI project.

Query parameters

pageSizeintegerOptional>=1
This specifies the maximum number of traces per page. Defaulted to 25.
environmentstringOptional
This filters the traces by the environment where the trace was created, and returns traces from all environments if not specified.
startstringOptionalformat: "date-time"
This filters for traces created after the specified start datetime. Defaulted to 30 days ago.
endstringOptionalformat: "date-time"
This filters for traces created before the specified end datetime. Defaulted to the current time.
sortByenumOptional

This determines the field to sort by. Defaulted to createdAt.

Allowed values:
cursorstringOptional

This is used for pagination, and should be set to the nextCursor value returned in the previous response to get the next page of results

metadatamap from strings to stringsOptional

Filter traces by metadata key-value pairs. Supports multiple keys using bracket notation.

ascendingenumOptional

This determines if the field specified in sortBy should be in ascending order. Defaults to false.

Allowed values:

Response

successboolean
This is true if the traces were successfully retrieved.
dataobject
This maps to the list of traces retrieved.
deprecatedboolean
This is true if this endpoint is deprecated.